> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useduro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an invoice with attempts



## OpenAPI

````yaml /openapi.json get /v1/invoices/{id}
openapi: 3.1.0
info:
  title: Duro API
  version: 1.0.0
  description: >-
    Recovery-first subscription billing. Authenticate with a secret key
    (sk_test_ / sk_live_) as a bearer token. Amounts are in integer minor units
    (kobo).
servers:
  - url: https://api.useduro.com
    description: Production (live)
  - url: https://sandbox.useduro.com
    description: Sandbox (test)
security:
  - bearerAuth: []
tags:
  - name: Plans
  - name: Promo Codes
  - name: Payment Links
  - name: Customers
  - name: Transactions
  - name: Subscriptions
  - name: Invoices
  - name: Recovery
  - name: Settings
  - name: Analytics
  - name: Checkout
  - name: Events
  - name: OAuth
  - name: Customer Checkout
  - name: Customer Identity
  - name: Customer Portal
paths:
  /v1/invoices/{id}:
    parameters:
      - $ref: '#/components/parameters/id'
    get:
      tags:
        - Invoices
      summary: Retrieve an invoice with attempts
      operationId: getInvoice
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceDetail'
components:
  parameters:
    id:
      name: id
      in: path
      required: true
      schema:
        type: string
  schemas:
    InvoiceDetail:
      allOf:
        - $ref: '#/components/schemas/Invoice'
        - type: object
          properties:
            attempts:
              type: array
              items:
                $ref: '#/components/schemas/Transaction'
    Invoice:
      type: object
      properties:
        id:
          type: string
        subscriptionId:
          type: string
        amount:
          type: integer
        currency:
          type: string
        status:
          type: string
          enum:
            - draft
            - open
            - paid
            - uncollectible
            - void
        periodStart:
          type: string
        periodEnd:
          type: string
        paidAt:
          type: string
          nullable: true
        createdAt:
          type: string
    Transaction:
      type: object
      properties:
        id:
          type: string
        invoiceId:
          type: string
        customerId:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - pending
            - succeeded
            - failed
        amount:
          type: integer
        rail:
          $ref: '#/components/schemas/Rail'
        failureCode:
          type: string
          nullable: true
        reference:
          type: string
          nullable: true
        createdAt:
          type: string
    Rail:
      type: string
      enum:
        - card
        - transfer
        - ussd
        - virtual_account
        - direct_debit
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

````